function _formatPriceString(priceString) {
  const groups = priceString.match(/(.*?)([0-9.,]+)(.*)/);
  if (groups && groups.length == 4) {
    const preSymbol = (groups[1] !== '') ? `<span class="font-small">${groups[1]}</span>` : '';
    const value = `<span class="price">${groups[2]}</span>`;
    const sufSymbol = (groups[3] !== '') ? `<span class="font-small">${groups[3]}</span>` : '';
    priceString = preSymbol + value + sufSymbol;
  }
  return priceString;
}

function showLoginMode() { }
function showInitialMode() { }

function setPrice(itemId, state, priceString) {
  if ((itemId != 1) || state <= 0) { return; }

  if (state <= 1) {
    priceString = _formatPriceString(priceString);
    const element = document.getElementById("no-ads-desc-plan-value");
    const formatString = document.getElementById("no-ads-desc-plan-format").innerHTML;
    element.innerHTML = formatString.replace("%%PRICE%%", priceString);
  } else {
    const element = document.getElementById("no-ads-desc-plan-error");
    element.innerHTML = priceString;
  }
}

function setPriceValue(itemId, price, locale) { }
function formatPrice(index, state, priceString) { }
function setFreeTrialPeriod(itemId, trialPeriodNumber, isMonth) { }

window.addEventListener("touchmove", (event) => {
  try {
    const main = document.getElementsByTagName("main")[0];
    const body = document.getElementsByTagName("body")[0];
    main.classList.remove("bg-base", "bg-white");
    body.classList.remove("bg-base", "bg-white");
    if (main.scrollTop < -20 || window.scrollY < -20) {
      main.classList.add("bg-base");
      body.classList.add("bg-base");
    } else {
      main.classList.add("bg-white");
      body.classList.add("bg-white");
    }
  } catch (err) {}
});
